Summary: symbolic debugger for C and other languages
Name: gdb
Version: 4.18
Release: 1
Group: Development/Debuggers
Copyright: GPL
Packager: Hao Li <hli@wag.caltech.edu>
Source: ftp://ftp.gnu.org/gnu/gdb/gdb-%{version}.tar.gz
Buildroot: /var/tmp/%{name}-root

%description
This is a full featured, command driven debugger. It allows you to
trace the exectuion of programs and examine their internal state
at any time. It works for C and C++ compiled with the GNU C compiler
gcc.


%prep
%setup -q


%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr i386-redhat-linux
make

(cd gdb/doc;rm -f *.{info*,dvi,ps};make all-doc MAKEINFO="makeinfo --no-split")
(cd mmalloc; make mmalloc.dvi; dvips mmalloc -o)
gzip -9f {gdb/doc,mmalloc}/*.ps


%install
rm -rf $RPM_BUILD_ROOT
make install install-info prefix=$RPM_BUILD_ROOT/usr
strip $RPM_BUILD_ROOT/usr/bin/*
gzip -9f $RPM_BUILD_ROOT/usr/info/*
mkdir rpm_doc
mv gdb/{COPYING,ChangeLog*,NEWS,README,TODO} rpm_doc


%post
install-info /usr/info/gdb.info.gz     /usr/info/dir
install-info /usr/info/gdbint.info.gz  /usr/info/dir
install-info /usr/info/mmalloc.info.gz /usr/info/dir
install-info /usr/info/stabs.info.gz   /usr/info/dir

%preun
if [ $1 = 0 ]; then
    install-info --delete /usr/info/gdb.info.gz     /usr/info/dir
    install-info --delete /usr/info/gdbint.info.gz  /usr/info/dir
    install-info --delete /usr/info/mmalloc.info.gz /usr/info/dir
    install-info --delete /usr/info/stabs.info.gz   /usr/info/dir
fi


%files
%defattr(-,root,root)
%doc rpm_doc/* gdb/doc/*.ps.gz mmalloc/*.ps.gz
/usr/bin/gdb
/usr/man/man1/gdb.1
/usr/info/gdb.info.gz
/usr/info/gdbint.info.gz
/usr/info/mmalloc.info.gz
/usr/info/stabs.info.gz


%clean
rm -rf $RPM_BUILD_ROOT

